package com.dxhy.common.util;

import org.apache.commons.lang3.StringUtils;

import java.text.DecimalFormat;

/**
 * @author jiaohongyang
 */
@SuppressWarnings("AlibabaUndefineMagicConstant")
public class AmountFormatUtil {

    /**
     * fmtMicrometer : 格式化数字为千分位
     *
     * @param text
     *            设定文件 String 返回类型
     */
    public static String fmtMicrometer(String text) {
        DecimalFormat df;
        if (StringUtils.isNotBlank(text)) {
            if (text.indexOf(".") > 0) {
                int i = text.length() - text.indexOf(".") - 1;
                if (i == 0) {
                    df = new DecimalFormat("###,##0.");
                } else if (i == 1) {
                    df = new DecimalFormat("###,##0.0");
                } else {

                    df = new DecimalFormat("###,##0.00");
                }
            } else {
                df = new DecimalFormat("###,##0");
            }
            double number;
            try {
                number = Double.parseDouble(text);
            } catch (Exception e) {
                number = 0.0;
            }
            return df.format(number);
        } else {
            return text;
        }

    }


/**
 * @description  格式化数字为千分位
 * @author  Allen
 * @date    2023/11/20 17:03
*/
    public static String fmtMicrometer2(String text) {
        DecimalFormat df = new DecimalFormat(",##0.00");
        if (StringUtils.isNotBlank(text)) {
            double number;
            try {
                number = Double.parseDouble(text);
            } catch (Exception e) {
                number = 0.0;
            }
            return df.format(number);
        } else {
            return text;
        }

    }

    public static void main(String[] args) {
        DecimalFormat df = new DecimalFormat(",###.00");
        System.out.println(fmtMicrometer2("0.000720"));
        //System.out.println(fmtMicrometer2(""));

    }

}
